#ifndef LOAD_DATA_H
#define LOAD_DATA_H

#include <tinyxml.h>
#include <string>
#include <vector>
#include <iostream>
#include "Vector.h"

using namespace std;

//!  LoadData class. 
/*!
 * Diese Klasse stellt Funktionen zur Verfgung, zur Speicherung von Daten in einer XML Funktion.
 * @author Unbekannt
*/

class LoadData
{
public:
	/**
	* Konstruktor: 
	**/
	LoadData();
	virtual ~LoadData(){};
	
	//Convert a string to a char*
	static char* ConvertStringToChar(std::string string);
	
protected:
	LoadData(const char* file);	
	virtual int attribsLoading(TiXmlElement* pElement, unsigned int indent) = 0;
	const char* getIndent( unsigned int numIndents );
	static const unsigned int NUM_INDENTS_PER_SPACE = 2;

	TiXmlDocument doc;
	bool loadOkay;
};

#endif